class HIGHSCORE

inherit COMPARABLE end

creation
	make


feature {ANY}


	name : STRING
			-- Name of the highscore maker


	nb_responses : INTEGER
			-- Count of responses

	
	nb_good_responses : INTEGER
			-- Count of good responses
	
	
	make(n : STRING; nb_g_r, nb_r : INTEGER) is
			-- Make an highscore object with
			-- the name, the responses count
			-- and the good ones count
		require
			n /= Void
			not n.is_empty
			nb_r   >= 0
			nb_g_r >= 0
			nb_g_r <= nb_g_r
		do
			
			name := n.twin
			nb_responses := nb_r.twin
			nb_good_responses := nb_g_r
			
		end


	
	infix "<" (other: HIGHSCORE): BOOLEAN is
		-- Redfinition de '<' pour pouvoir trier les HIGHSCOREs
		do
			Result := other.nb_good_responses > Current.nb_good_responses
		end

	
end
