-- 
-- Written by: Vincent LARK
--                           vincent.lark@gmail.com
--   
-- Many thanks to 
--   Monty <monty@xiph.org> and 
--   The XIPHOPHORUS Company http://www.xiph.org/ .
--   
-- This program is free software; you can redistribute it and/or
-- modify it under the terms of the GNU Library General Public License
-- as published by the Free Software Foundation; either version 2 of
-- the License, or (at your option) any later version.
-- 
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU Library General Public License for more details.
-- 
-- You should have received a copy of the GNU Library General Public
-- License along with this program; if not, write to the Free Software
-- Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
--

class TEST_02
	
creation
	make
	
	
feature
	
	make is
		local
			audioutils : AUDIOUTILS
			audiofile : OGG
			location : STRING
		do
			location := "/home/Cours/SE/Mediatek/TEMP_Simillaire/jorbis-0.0.16/player/startup2.ogg"

			create audioutils.make
			create audiofile.make(location)
			
			io.put_string("La taille du fichier ")
			io.put_string(audiofile.path)
			io.put_string(" est de ")
			io.put_integer(audiofile.file_lenght)
			io.put_string(" octets.")
			io.put_new_line
			
			if audiofile.is_tag_present then
			
				--io.put_string("Son TAG brut est :")
				--io.put_string(audiofile.raw_tag_string)
				--io.put_new_line
				
				io.put_string("      titre : ")
				io.put_string(audiofile.title)
				io.put_new_line
				
				io.put_string("    artiste : ")
				io.put_string(audiofile.artist)
				io.put_new_line
				
				io.put_string("      album : ")
				io.put_string(audiofile.album)
				io.put_new_line
				
				io.put_string("      annee : ")
				io.put_integer(audiofile.annee)
				io.put_new_line
				
				io.put_string("      genre : ")
				if (audioutils.genres_list.item(audiofile.genre) /= Void) then
					io.put_string(audioutils.genres_list.item(audiofile.genre))
				else
					io.put_string("Inconnu")
				end
				
				io.put_string(" (")
				io.put_integer(audiofile.genre)
				io.put_string(")")
				io.put_new_line
				
				io.put_string("    comment : ")
				io.put_string(audiofile.comment)
				io.put_new_line
				
			else
				io.put_string("Ce fichier ne contient pas de tag v1")
			end
			
			io.put_new_line

		end
	
end
