-- 
-- Written by: Vincent LARK
--                           vincent.lark@gmail.com
--   
-- This program is free software; you can redistribute it and/or
-- modify it under the terms of the GNU Library General Public License
-- as published by the Free Software Foundation; either version 2 of
-- the License, or (at your option) any later version.
-- 
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU Library General Public License for more details.
-- 
-- You should have received a copy of the GNU Library General Public
-- License along with this program; if not, write to the Free Software
-- Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
--

class TEST_PLAYLIST
	
creation
	make
	
	
feature

	make is
		local
			audio_collection : AUDIO_COLLECTION
			audioutils : AUDIOUTILS
			path : STRING
			count : INTEGER
		do
			create audioutils.make
			
			path := "/home/Cours/SE/Playlist.txt"
			
			io.put_string("Construction de la collection a partir de la playlist ... ")
			io.put_string(path)
			io.put_new_line

			create audio_collection.make
			count := audio_collection.add_playlist(path)
			
			io.put_string(" Elle comprend ")
			io.put_integer(audio_collection.count)
			io.put_string(" elements.")
			io.put_new_line
			io.put_new_line


			io.put_string("1ere passe.")
			io.put_new_line
			from
				count := audio_collection.lower
			until
				count = audio_collection.lower + audio_collection.count
			loop

				if (audio_collection.item(count).is_tag_present) then
					io.put_string("  titre: ")
					io.put_string(audio_collection.item(count).title)
					io.put_string("  artist: ")
					io.put_string(audio_collection.item(count).artist)
					io.put_new_line
					io.put_new_line
				end

				count := count + 1
			end
			
			io.put_new_line
			io.put_new_line



			io.put_string("2eme passe (normalement bcp plus rapide).")
			io.put_new_line
			from
				count := audio_collection.lower
			until
				count = audio_collection.lower + audio_collection.count
			loop
				sedb_breakpoint
				
				if (audio_collection.item(count).is_tag_present) then
					io.put_string("  titre: ")
					io.put_string(audio_collection.item(count).title)
					io.put_string("  artist: ")
					io.put_string(audio_collection.item(count).artist)
					io.put_new_line
					io.put_new_line
				end

				count := count + 1
			end
			
		end
	
end
