-- 
-- Written by: Vincent LARK
--                           vincent.lark@gmail.com
--   
-- Many thanks to 
--   Monty <monty@xiph.org> and 
--   The XIPHOPHORUS Company http://www.xiph.org/ .
--   
-- This program is free software; you can redistribute it and/or
-- modify it under the terms of the GNU Library General Public License
-- as published by the Free Software Foundation; either version 2 of
-- the License, or (at your option) any later version.
-- 
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU Library General Public License for more details.
-- 
-- You should have received a copy of the GNU Library General Public
-- License along with this program; if not, write to the Free Software
-- Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
--

class TEST_RANDOM_AUDIOFILE
	
creation
	make
	
	
feature

	make is
		local
			audio_collection : AUDIO_COLLECTION
			audioutils : AUDIOUTILS
			path : STRING
			count, i : INTEGER
			file : BINARY_FILE_READ
			system : SYSTEM
		do
			create audioutils.make
			
			path := "/home/vincent/tmp/Music/Laphaze"
			
			io.put_string("Construction de la collection a partir du repertoire ... ")
			io.put_string(path)
			io.put_new_line

			create audio_collection.make
			count := audio_collection.add_directory(path, True)
			
			io.put_string(" Elle comprend ")
			io.put_integer(audio_collection.count)
			io.put_string(" elements.")
			io.put_new_line
			io.put_new_line

			create file.make
			file.connect_to("/dev/urandom")
			file.read_byte
			i := file.last_byte
			file.disconnect

			
			io.put_string("Titre alatoire : ")
			audioutils.random_generator.with_seed(i)
			audioutils.random_generator.next

			count := audioutils.random_generator.last_integer(count) - 1

			path := "mpg321 -o alsa "
			path.append_character('"')
			path.append(audio_collection.item(count).path)
			path.append_character('"')
			path.append(" &> /dev/null &")
			
			i := system.execute_command(path)
			
			io.put_string(audio_collection.item(count).title)
			io.put_new_line
							  
			
			

			
		end
	
end
